/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 用例执行统计图表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "用例执行统计图表")
public class MtCaseExecChart extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_noExec = "noExec";
  public static final String KEY_invalid = "invalid";
  public static final String KEY_fail = "fail";
  public static final String KEY_block = "block";
  public static final String KEY_hang = "hang";
  public static final String KEY_incomplete = "incomplete";
  public static final String KEY_pass = "pass";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_statisticsType = "statisticsType";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 36, message="-id: 数据长度不能 > 36" )
  private String id;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 128, message="创建人-createdBy: 数据长度不能 > 128" )
  private String createdBy;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;
  /**
   * 未执行<br>
   */
  @ApiModelProperty("未执行")
  private Integer noExec;
  /**
   * 无效<br>
   */
  @ApiModelProperty("无效")
  private Integer invalid;
  /**
   * 失败<br>
   */
  @ApiModelProperty("失败")
  private Integer fail;
  /**
   * 阻塞<br>
   */
  @ApiModelProperty("阻塞")
  private Integer block;
  /**
   * 挂起<br>
   */
  @ApiModelProperty("挂起")
  private Integer hang;
  /**
   * 未完成<br>
   */
  @ApiModelProperty("未完成")
  private Integer incomplete;
  /**
   * 通过<br>
   */
  @ApiModelProperty("通过")
  private Integer pass;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 类型<br>
   */
  @ApiModelProperty("类型")
  private Integer statisticsType;

  private List<String> projectIds;

  private Integer nonExec;

  public Integer getNonExec() {
    return nonExec;
  }

  public void setNonExec(Integer nonExec) {
    this.nonExec = nonExec;
  }

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }
  /**
   * 未执行<br>
   */
  public Integer getNoExec()
  {
      return noExec;
    }

  /**
   * 未执行<br>
   *
   * @param noExec 未执行
   */
  public void setNoExec(Integer noExec)
  {
      this.noExec = noExec;
    }
  /**
   * 无效<br>
   */
  public Integer getInvalid()
  {
      return invalid;
    }

  /**
   * 无效<br>
   *
   * @param invalid 无效
   */
  public void setInvalid(Integer invalid)
  {
      this.invalid = invalid;
    }
  /**
   * 失败<br>
   */
  public Integer getFail()
  {
      return fail;
    }

  /**
   * 失败<br>
   *
   * @param fail 失败
   */
  public void setFail(Integer fail)
  {
      this.fail = fail;
    }
  /**
   * 阻塞<br>
   */
  public Integer getBlock()
  {
      return block;
    }

  /**
   * 阻塞<br>
   *
   * @param block 阻塞
   */
  public void setBlock(Integer block)
  {
      this.block = block;
    }
  /**
   * 挂起<br>
   */
  public Integer getHang()
  {
      return hang;
    }

  /**
   * 挂起<br>
   *
   * @param hang 挂起
   */
  public void setHang(Integer hang)
  {
      this.hang = hang;
    }
  /**
   * 未完成<br>
   */
  public Integer getIncomplete()
  {
      return incomplete;
    }

  /**
   * 未完成<br>
   *
   * @param incomplete 未完成
   */
  public void setIncomplete(Integer incomplete)
  {
      this.incomplete = incomplete;
    }
  /**
   * 通过<br>
   */
  public Integer getPass()
  {
      return pass;
    }

  /**
   * 通过<br>
   *
   * @param pass 通过
   */
  public void setPass(Integer pass)
  {
      this.pass = pass;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 类型<br>
   */
  public Integer getStatisticsType()
  {
      return statisticsType;
    }

  /**
   * 类型<br>
   *
   * @param statisticsType 类型
   */
  public void setStatisticsType(Integer statisticsType)
  {
      this.statisticsType = statisticsType;
    }

  public MtCaseExecChart()
  {
  }

}
